> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/enablement-services/migrating-to-the-bloom-aggregator-enablement-services.md).

# Migrating to the Bloom Aggregator

For faster initial processing times, try the Bloom Aggregator.

The Bloom Aggregator is a component owned and maintained by Bloom. Previously, third party software was used to control aggregation. Presently, the Bloom Aggregator can import Plaid Processor Tokens via the Plaid Aggregator. In the near future, more aggregators will be supported.

## Previously

Following the Enablement Services [Getting Started](/enablement-services/enablement-services-getting-started.md) guide, steps 1-6 are followed. Step 7 involves importing a processor token with the GraphQL mutation [ImportConnections](/enablement-services/enablement_gql_ref.md#mutation-importconnections).

## Bloom Aggregator with Plaid Processor Tokens

To use the Bloom Aggregator, call the GraphQL mutation [ImportPlaidProcessorTokens](/enablement-services/enablement_gql_ref.md#mutation-importplaidprocessortokens). The input for this mutation is the same as [ImportConnections](/enablement-services/enablement_gql_ref.md#mutation-importconnections). One should note, however, that the behavior and response of this mutation are different. When this mutation is called, Plaid Processor Tokens are imported independently. If one token fails, it does not block the import of the other tokens in the request. Two lists are returned - one with the connection information for the successfully imported tokens, and one for the tokens that failed to import alongside an error message for each one.

The remaining steps of the [Getting Started](/enablement-services/enablement-services-getting-started.md) guide can be followed after using [ImportPlaidProcessorTokens](/enablement-services/enablement_gql_ref.md#mutation-importplaidprocessortokens) in place of [ImportConnections](/enablement-services/enablement_gql_ref.md#mutation-importconnections) in step 7.

{% hint style="info" %}
**TIP**

The best sync times in the Bloom Aggregator occur when the Plaid `/transactions/sync` [endpoint](https://plaid.com/docs/api/products/transactions/#transactionssync) returns the field `transactions_update_status` with status `HISTORICAL_UPDATE_COMPLETE`. This value is returned with both the initial and historical pull for the Plaid item are complete - allowing Bloom to import the full transaction history.
{% endhint %}

## Disconnecting a Connection

The process for disconnecting a connection using a Plaid Processor Token is relatively the same.

1. Call the [deleteConnection](/enablement-services/enablement_gql_ref.md#mutation-deleteconnection) GraphQL mutation.
2. Using the access token associated with your plaid processor token, you may wish to call the [Plaid item remove](https://plaid.com/docs/api/items/#itemremove) endpoint. This will invalidate the processor token.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/enablement-services/migrating-to-the-bloom-aggregator-enablement-services.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
